Page MenuHomePhabricator

1.34.0-wmf.14 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.34.0-wmf.14
Release Date
1563148800

2019 week 29 1.34-wmf.14 Changes wmf/1.34.0-wmf.14

This MediaWiki Train Deployment is scheduled for the week of Monday, July 15th:

Monday July 15thTuesday, July 16thWednesday, July 17thThursday, July 18thFriday
SWAT deployments only.Branch wmf.14 and deploy to Group 0 Wikis.Deploy wmf.14 to Group 1 Wikis.Deploy wmf.14 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.14 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.13
Next: 1.34.0-wmf.15

Event Timeline

mmodell created this task.Apr 11 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 6:15 PM
mmodell triaged this task as Normal priority.Apr 11 2019, 7:11 PM
hashar added a subscriber: hashar.Jul 17 2019, 12:50 PM

That is for translatewiki.net which is out of the train deployment. Seems the patch got deployed with 1.34.0-wmf.11 so surely if we had the same issue on wikimedia production we would have some logs showing up on our side. I guess translatewiki.net lacks some update.

TheDJ removed a subscriber: TheDJ.Jul 17 2019, 10:14 PM

Change 524252 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Revert "all wikis to 1.34.0-wmf.14"

https://gerrit.wikimedia.org/r/524252

Change 524252 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "all wikis to 1.34.0-wmf.14"

https://gerrit.wikimedia.org/r/524252

I have rollbacked due to T228436

I did it on behalf of @LarsWirzenius since we were busy in some meeting.

LarsWirzenius closed this task as Resolved.Jul 22 2019, 4:00 PM

All wikis are now wmf.14. Nothing seems to have exploded so far. Declaring this done.

Krinkle added a subtask: Restricted Task.Jul 22 2019, 6:51 PM
tstarling closed subtask Restricted Task as Resolved.Jul 24 2019, 3:45 AM